#
# spec file for package perl-CDDB
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name CDDB
Name:           perl-CDDB
Version:        1.222
Release:        pm153.2.4
Summary:        High-Level Interface to Cddb Protocol Servers (Freedb and Cddb)
License:        Artistic-1.0 OR GPL-1.0+
Group:          Development/Libraries/Perl
URL:            http://search.cpan.org/dist/CDDB/
Source0:        http://www.cpan.org/authors/id/R/RC/RCAPUTO/%{cpan_name}-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp) >= 1.26
BuildRequires:  perl(Encode) >= 2.51
BuildRequires:  perl(HTTP::Request) >= 6.00
BuildRequires:  perl(IO::Socket) >= 1.31
BuildRequires:  perl(LWP) >= 6.05
BuildRequires:  perl(MIME::QuotedPrint) >= 3.13
BuildRequires:  perl(Mail::Header) >= 2.04
BuildRequires:  perl(Mail::Internet) >= 2.04
BuildRequires:  perl(Scalar::Util) >= 1.29
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(Carp) >= 1.26
Requires:       perl(Encode) >= 2.51
Requires:       perl(HTTP::Request) >= 6.00
Requires:       perl(IO::Socket) >= 1.31
Requires:       perl(LWP) >= 6.05
Requires:       perl(MIME::QuotedPrint) >= 3.13
Requires:       perl(Mail::Header) >= 2.04
Requires:       perl(Mail::Internet) >= 2.04
BuildArch:      noarch
%{perl_requires}

%description
CDDB protocol (cddbp) servers provide compact disc information for programs
that need it. This allows such programs to display disc and track titles
automatically, and it provides extended information like liner notes and
lyrics.

This module provides a high-level Perl interface to cddbp servers. With it,
a Perl program can identify and possibly gather details about a CD based on
its "table of contents" (the disc's track times and offsets).

Disc details have been useful for generating CD catalogs, naming mp3 files,
printing CD liners, or even just playing discs in an automated jukebox.

Despite the module's name, it connects to FreeDB servers by default. This
began at version 1.04, when cddb.com changed its licensing model to support
end-user applications, not third-party libraries. Connections to cddb.com
may still work, and patches are welcome to maintain that functionality, but
it's no longer officially supported.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES HISTORY LICENSE README README.mkdn

%changelog
* Sat Mar 10 2018 aloisio@gmx.com
- Initial package (version 1.222)
